package com.eactive.eai.rms.bat.web.eims.xml;

import java.util.HashMap;

import com.eactive.eai.rms.bat.web.eims.EIMSBatConstants;

public class Db2dbRcvXml {

	private String tgtAppCd		;//업무코드
	private String tgtBzSystemCd	; //시스템코드
	private String tgtDbLoadQuery	; //타겟쿼리
	
	private String tgtDbSvcNm		;
	private String tgtDbTblNm		;
	private String tgtAuthor		;
	
	
	
	public String getTgtAppCd() {
		return tgtAppCd;
	}
	public void setTgtAppCd(String tgtAppCd) {
		this.tgtAppCd = tgtAppCd;
	}
	public String getTgtAuthor() {
		return tgtAuthor;
	}
	public void setTgtAuthor(String tgtAuthor) {
		this.tgtAuthor = tgtAuthor;
	}
	public String getTgtBzSystemCd() {
		return tgtBzSystemCd;
	}
	public void setTgtBzSystemCd(String tgtBzSystemCd) {
		this.tgtBzSystemCd = tgtBzSystemCd;
	}
	public String getTgtDbLoadQuery() {
		return tgtDbLoadQuery;
	}
	public void setTgtDbLoadQuery(String tgtDbLoadQuery) {
		this.tgtDbLoadQuery = tgtDbLoadQuery;
	}
	public String getTgtDbSvcNm() {
		return tgtDbSvcNm;
	}
	public void setTgtDbSvcNm(String tgtDbSvcNm) {
		this.tgtDbSvcNm = tgtDbSvcNm;
	}
	public String getTgtDbTblNm() {
		return tgtDbTblNm;
	}
	public void setTgtDbTblNm(String tgtDbTblNm) {
		this.tgtDbTblNm = tgtDbTblNm;
	}
	
	/**
	 * 
	 * @param d2DRcvMap
	 */
	public void setAllD2DRcvXml(HashMap<String,String> d2DRcvMap) {
		
		this.setTgtBzSystemCd(d2DRcvMap.get(EIMSBatConstants.TGTBZSYSTEMCD ));
		this.setTgtAppCd(d2DRcvMap.get(EIMSBatConstants.TGTAPPCD ));
		this.setTgtAuthor(d2DRcvMap.get(EIMSBatConstants.TGTAUTHOR ));
		
		this.setTgtDbSvcNm(d2DRcvMap.get(EIMSBatConstants.TGTDBSVCNM ));
		this.setTgtDbTblNm(d2DRcvMap.get(EIMSBatConstants.TGTDBTBLNM ));
		this.setTgtDbLoadQuery(d2DRcvMap.get(EIMSBatConstants.TGTDBLOADQUERY ));
				
	}
}
